/*
 *  Programming interface for wl_api.
 *  Copyright (C) 2010 HD Wireless AB
 *
 *  You should have received a copy of the license along with this library.
 */

#ifdef OWL_CONFIG_HDG200
# ifdef        OWL_CONFIG_FW_STA
#  include "wl_fw_hdg200.h"
# elif defined OWL_CONFIG_FW_AP
#  error "AP mode not supported with HDG200"
# elif defined OWL_CONFIG_FW_LEGACY
#  error "OWL_CONFIG_FW_LEGACY not supported with HDG200, use OWL_CONFIG_FW_STA instead."
# else
#  error "Invalid mode, FW_STA or FW_AP should be defined"
# endif
#elif defined OWL_CONFIG_HDG104 || defined OWL_CONFIG_HDG204
/* HDG104 and HDG204 are compatible */
# ifdef        OWL_CONFIG_FW_STA
#  include "wl_fw_hdg104.h"
# elif defined OWL_CONFIG_FW_AP
#  include "wl_fw_hdg104_ap.h"
# elif defined OWL_CONFIG_FW_LEGACY
#  include "wl_fw_hdg104_legacy.h"
# else
#  error "Invalid mode, OWL_CONFIG_FW_STA or OWL_CONFIG_FW_AP should be defined"
# endif
#else
# error "Unknown module type"
#endif
